# uweb-cli

环境`node>=12`

全局安装脚手架
``` js
npm i uweb-cli -g

```

查看版本号
``` js
uweb -v
```

创建项目  目标文件夹中使用
``` js
uweb init <项目名>

```

由于网络问题，自动安装依赖经常会失败，所以需要手动安装依赖
```js
cd <项目名>
npm i 或 npm install
```

### 1.2.1
- 修复：细节修复
### 1.2.0
- 修复：前端邮件地址脚本缺少首页路径的问题
### 1.1.9
- 新增：脚手架新增自动生成前端邮件地址脚本。
  使用方法：
  
  1. 打开根目录下createMailPath.js文件，修改url变量的值（前端测试首页的地址）。
  2. 直接运行`npm run mail`命令，会在根目录下生成mailPath.js文件。
  3. 打开mailPath.js，复制生成的代码
  4. 在oa系统邮件编辑界面打开控制台，粘贴代码后回车运行即可。（只生成前端测试路径，其他邮件内容需要手动填写）
  
  **tips: 默认忽略`search_list.html, search_tips.html, 404.html`。**
  **默认只生成views/article文件夹下的html文件路径**
### 1.1.8
- 新增：新增图片预览组件 viewer.js(插件文档地址：https://fengyuanchen.github.io/viewerjs/)
- 新增：新增网页全局灰色滤镜。用于特殊日期网页全局黑白使用
### 1.1.7
- 新增：新增统一地区选择方法
- 优化：优化图片放大组件
### 1.1.6
- 修改：修改footer备案链接
### 1.1.5
- 修改：由于6.8.4版本不兼容ie11，更换swiper插件版本为5.4.5
### 1.1.4
- 修改：更换swiper插件版本为6.8.4
- 修改：更换betterScroll插件版本为2.0
- 修改：search页面样式修改，按钮颜色及文字颜色改为使用$baseColor变量（项目主题色）
- 新增：base.scss内新增常用字体颜色变量以及$baseColor变量（项目主题色）
- 新增：base.scss内新增px转vw方法
### 1.1.3
- 优化：优化stylelint
- 优化：取消gulp构建中的图片压缩
- 优化：调整了一些通用的结构和样式

### 1.1.2
- 修复：修改分享组件使用iconfont方式，改为类名使用

### 1.1.1
- 修改：修改iconfont.css文件位置

### 1.1.0
- 优化：优化图片点击放大组件，无需另外增加html结构

### 1.0.9
- 新增：模板新增图片点击放大组件以及相关样式

### 1.0.8
- 新增：底部footer添加默认公安备案语句

### 1.0.7
- 修改：更新readme文件，node环境需要>=12

### 1.0.6
- 修改：优化已知问题

### 1.0.5
- 修改：调整CLI更新失败逻辑

### 1.0.4
- 新增：添加模板文件到CLI中，避免git clone问题

### 1.0.3
- 新增：允许跳过本次CLI更新并直接下载模板

### 1.0.2
- 修改：修改`uweb init`命令检测更新功能实现方式
- 新增：如果CLI检测更新失败，新增是否直接下载模板提示选项

### 1.0.1
- 新增：执行 `uweb init`命令创建项目时检查本地cli是否为最新版本