const fs = require('fs');
const path = require('path');
const files = fs.readdirSync('src/views/article');

// 首页地址（需要根据项目修改）
const url = 'http://uwebhtml.uweb.com.cn/2023/xxxx/static/'

// 忽略的文件
let ignoreFile = ['search_list.html', 'search_tips.html', '404.html']
let fileAry = [`'${url}'`]

files.forEach((item, index) => {
    if (path.extname(item) === '.html' && !ignoreFile.includes(item)) {
        fileAry.push(`'${url +  'article/' + item}'`)
    }
})

let str = `let nodeAry = [${fileAry.toString()}];
nodeAry.forEach((item) => {
    let p = document.createElement('p'),
        a = document.createElement('a'),
        strNode = document.createTextNode(item);
    a.setAttribute('href', item)
    a.append(strNode)
    p.append(a)
    let editNode = document.querySelectorAll('body.view')
    editNode[0].appendChild(p)
})
`
/* eslint-disable */
fs.writeFileSync('mailPath.js', str)